### Function

# Pango.parse_variant

#### Declaration [src]

    gboolean
    pango_parse_variant (
      const char* str,
      PangoVariant* variant,
      gboolean warn
    )

#### Description [src]

Parses a font variant.

The allowed values are “normal” and “smallcaps” or “small_caps”, case variations being ignored.

#### Parameters

`str` | `const char*`
| a string to parse.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`variant` | `PangoVariant`
| a `PangoVariant` to store the result in.
| Direction: out
| Ownership of the data is transferred to the callee
`warn` | `gboolean`
| if `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Returns: `gboolean`
`TRUE` if `str` was successfully parsed.